#version 330

layout (std140) uniform Matrices
{
	mat4 m_pvm;
};

uniform sampler2D particleUnit;

in vec2 position;	// texture space

out float alpha;

//----------------------------------------------------------------
// TODO:
// 1) Load position and alpha from the texture.
// 2) Set point size to 32.f, pass the alpha value and project the point.
//----------------------------------------------------------------

void main()
{
	vec4 texel = texture(particleUnit, position);

	// x, y and z do store the position
	vec4 particle = vec4(texel.xyz, 1.f);

	// w contains the lifetime - which used for the alpha value
	alpha = texel.w;

	gl_PointSize = 32.f;

	gl_Position = m_pvm * particle;
}