#version 330

in vec3 starColor;

uniform sampler2D texUnit;

out vec4 outputF;

//----------------------------------------------------------------
// TODO:
// 1) Shade using star color.
// 2) Shade using star texture with gl_PointCoord.
// 3) Compute alpha as grayscale intensity.
// 4) Multiply texture with star color.
//----------------------------------------------------------------

void main()
{
#if 1
	outputF = vec4(starColor, 1.f);
#elif 0
	vec4 texture = texture(texUnit, gl_PointCoord);
	outputF = texture;
#else
	// Compute opacity as intensity in grayscale
	vec3 NTSCWeights = vec3(0.299f, 0.587f, 0.114f);
	vec4 texture = texture(texUnit, gl_PointCoord);
	float intensity = dot(texture.rgb, NTSCWeights); // Could be saved in texture .a

	outputF = vec4(texture.rgb * starColor, intensity);
#endif
}